CVE-2004-1782
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-10 15:32:02
NMCOE    

[原文]athenareg.php in Athena Web Registration allows remote attackers to execute arbitrary commands via shell metacharacters in the pass parameter.


[CNNVD]Athena Web Registration远程命令执行漏洞(CNNVD-200412-543)

        
        Athena Web Registration是一款Athena Web注册脚本程序。
        Athena Web Registration对用户提交输入缺少充分检查,远程攻击者可以利用这个漏洞以WEB进程权限在系统上执行任意命令。
        问题是athenareg.php脚本对用户提交给'pass'参数的数据缺少充分检查,提交类似";command"的字符串,可导致以WEB进程权限执行任意命令。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1782
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1782
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-543
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/9349
(UNKNOWN)  BID  9349
http://www.osvdb.org/16861
(UNKNOWN)  OSVDB  16861

- 漏洞信息

Athena Web Registration远程命令执行漏洞
高危 输入验证
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        Athena Web Registration是一款Athena Web注册脚本程序。
        Athena Web Registration对用户提交输入缺少充分检查,远程攻击者可以利用这个漏洞以WEB进程权限在系统上执行任意命令。
        问题是athenareg.php脚本对用户提交给'pass'参数的数据缺少充分检查,提交类似";command"的字符串,可导致以WEB进程权限执行任意命令。
        

- 公告与补丁

        厂商补丁:
        Upa
        ---
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://upasfiles.phixion.net/tool.html

- 漏洞信息 (23513)

Athena Web Registration Remote Command Execution Vulnerability (EDBID:23513)
php webapps
2004-01-02 Verified
0 Peter Kieser
N/A [点击下载]
source: http://www.securityfocus.com/bid/9349/info

A problem has been reported in the handling of user-supplied input by the Athena Web Registration scripts. Because of this, it may be possible for an attacker to gain unauthorized access to a vulnerable system. 

http://www.example.com/athenareg.php?pass=%20;whoami 		

- 漏洞信息

16861
Athena Web athenareg.php pass Variable Command Execution
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Athena Web server contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to the 'athenareg.php' script not properly sanitizing user input supplied to the 'pass' variable. This may allow a remote attacker to include arbitrary commands which will be executed by the vulnerable script.

- 时间线

2004-01-02 Unknow
2004-01-02 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站